de.esprit.netsuite.server

## Class AbstractServerObject<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>

- All Implemented Interfaces:
    ApplicationObject<S>, SimpleLogSupport, Dumpable, ServerObject<S>
  Direct Known Subclasses:
    ABOAccessList, ABOServerCache, AbstractInitializableServerObject, AbstractServerConnection, AbstractServerModel, AbstractTransferService, DefaultRequestHandler, DefaultServerMessageDispatcher, EspritWebServer, FatalErrorHandler, FileStreamEntry, FileTransferEntry, MailerFacade, NServerEventDispatcher, ParallelStreamsList, ParallelTransfersList, PathTreeManager, RequestDispatcher, ResourceLockManager, ServerConnectionService, ServerConnector, ServerEventDispatcher, ServerEventQueue, ServerMessageQueue, ServerNetworkAdapter, ServerThreadPoolManager, Session, SessionManager, TaskHistoryWriter, WebRequestHandler

      public abstract class AbstractServerObject<S extends ServerContext>
      extends AbstractApplicationObject<S>
      implements ServerObject<S>

  This is the base class for server classes that manage a `ServerContext`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractServerObject(S serverCtx)`
    `AbstractServerObject(S serverCtx, LogChannel logCh)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkPermission(SessionId sessionId, EspritPermission action)` Checks whether the current user has permission on this object for the given action.
    `ServerConfig` | `getServerConfig()`
    `S` | `getServerContext()` Returns the server runtime environment
    `ServerStatisticManager` | `getStatisticManager()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractServerObject

          public AbstractServerObject(S serverCtx)

    - #### AbstractServerObject

          public AbstractServerObject(S serverCtx,
                              LogChannel logCh)

  - ### Method Detail

    - #### getServerContext

          public final S getServerContext()

      Description copied from interface: `ServerObject`
      Returns the server runtime environment
      Specified by:
        `getServerContext` in interface `ServerObject<S extends ServerContext>`

    - #### getStatisticManager

          public final ServerStatisticManager getStatisticManager()

    - #### getServerConfig

          public final ServerConfig getServerConfig()

    - #### checkPermission

          protected void checkPermission(SessionId sessionId,
                             EspritPermission action)
                                  throws PermissionException

      Checks whether the current user has permission on this object for the given action. Note that this only has an effect if this object implements `PermissionControlled`.
      Throws:
        `PermissionException`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.